Qt 5.9 | Qt Core | C++ Classes | QAtomicInt

Qt 5.9.9 Reference Documentation

# QAtomicInt Class

The QAtomicInt class provides platform-independent atomic operations on int. More...

Header: | #include <QAtomicInt>
qmake: | QT += core
Since: | Qt 4.4
Inherits: | QAtomicInteger

- List of all members, including inherited members

## Public Functions

| QAtomicInt(int value = 0)

- 46 public functions inherited from QAtomicInteger
- 49 public functions inherited from QBasicAtomicInteger

### Additional Inherited Members

- 8 static public members inherited from QAtomicInteger
- 8 static public members inherited from QBasicAtomicInteger

## Detailed Description

The QAtomicInt class provides platform-independent atomic operations on int.

This class is a equivalent to `QAtomicInteger<int>`. All other functionality is equivalent. Please see that class for more information.

See also QAtomicInteger and QAtomicPointer.

## Member Function Documentation

### QAtomicInt::QAtomicInt(int value = 0)

Constructs a QAtomicInt with the given value.